import { OnInit } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { Store } from '@ngrx/store';
export declare class SignUpComponent implements OnInit {
    private fb;
    private store;
    flag: boolean;
    submitted: boolean;
    passValid: boolean;
    errorPass: string;
    data: any;
    form: FormGroup;
    endPoint: string;
    role: string;
    constructor(fb: FormBuilder, store: Store<any>);
    ngOnInit(): void;
    onSubmit(event: any, form: FormGroup): void;
    validPass(pass: any, pass_con: any): boolean;
}
